> ## Documentation Index
> Fetch the complete documentation index at: https://next-developers.opencard.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create callback request

> Submit transaction for receipt matching. OpenCard calls your callback_url when matched.



## OpenAPI

````yaml /openapi/receipts-api.json post /api/v1/marcet/callbackrequests
openapi: 3.0.3
info:
  title: OpenCard Digital Receipts API
  version: '1.0'
  description: >-
    Card issuers submit transaction data for digital receipt matching. Hosted at
    receipts.opencard.io.
  contact:
    email: support@opencard.io
servers:
  - url: https://receipts.opencard.io
    description: Digital Receipts Service
security: []
tags:
  - name: Publishers
    description: Merchants with active digital receipts
  - name: Callback Requests
    description: Submit transactions for receipt matching
paths:
  /api/v1/marcet/callbackrequests:
    post:
      tags:
        - Callback Requests
      summary: Create callback request
      description: >-
        Submit transaction for receipt matching. OpenCard calls your
        callback_url when matched.
      operationId: createCallbackRequest
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/CallbackTransaction'
            example:
              - callback_path: /transaction/123456789
                callback_content_type: text/xml
                transaction:
                  id: txn_001
                  auth_amount: 99.95
                  auth_currency: SEK
                  auth_date: '2026-06-08'
                  auth_time: '11:12:14'
                  auth_timezone: Europe/Stockholm
                  reference_no: '190102519907'
                  auth_code: ABC123
                  terminal_id: '0000000015745355'
                  merchant_no: '3462188'
                  merchant_name: Espresso House
                  merchant_country: SE
                  clearing: 'false'
                  auth_masked_card_number: '****1234'
                  type: CARD_PURCHASE
                  state: AUTHORIZED
                  mcc: '5814'
      responses:
        '200':
          description: Accepted
          content:
            application/json:
              example:
                - callback_path: /transaction/123456789
                  callback_content_type: text/xml
                  transaction:
                    id: txn_001
                    auth_amount: 99.95
                    auth_currency: SEK
                    auth_date: '2026-06-08'
                    auth_time: '11:12:14'
                    auth_timezone: Europe/Stockholm
                    reference_no: '190102519907'
                    auth_code: ABC123
                    terminal_id: '0000000015745355'
                    merchant_no: '3462188'
                    merchant_name: Espresso House
                    merchant_country: SE
                    clearing: 'false'
                    auth_masked_card_number: '****1234'
                    type: CARD_PURCHASE
                    state: AUTHORIZED
                    mcc: '5814'
      security:
        - bearer: []
components:
  schemas:
    CallbackTransaction:
      type: object
      properties:
        callback_path:
          type: string
        callback_content_type:
          type: string
        transaction:
          type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````